Support » Plugin: Elementor Custom Skin » Breaks sites with Jquery loaded in footer

  • Resolved nicomollet

    (@nicomollet)


    Hello

    Latest version of ECS added a new javascript file badly loaded on the frontend.
    The script requires Jquery and should specify jquery as a dependency.

    Also, frontend scripts should be loaded in the footer to avoid render blocking scripts!

    Please take actions on this.
    Thank you

Viewing 3 replies - 1 through 3 (of 3 total)
  • Thread Starter nicomollet

    (@nicomollet)

    
    wp_register_script('ecs_ajax_load', plugin_dir_url(__DIR__) . 'assets/js/ecs_ajax_pagination.js',array(),ELECS_VER);
    

    should be

    
    wp_register_script('ecs_ajax_load', plugin_dir_url(__DIR__) . 'assets/js/ecs_ajax_pagination.js',array('jquery'),ELECS_VER, true);
    
    • This reply was modified 11 months, 2 weeks ago by nicomollet.
    Plugin Author dudaster

    (@dudaster)

    Thanks @nicomollet ! Noted!

    Plugin Author dudaster

    (@dudaster)

    Added in code it will be available in the next version.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Breaks sites with Jquery loaded in footer’ is closed to new replies.